OpenEjbFactory (Tomcat API Documentation)
Keywords: org.apache.naming.factory.OpenEjbFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming.factory
Class OpenEjbFactory

    java.lang.Object
      org.apache.naming.factory.OpenEjbFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

    public class OpenEjbFactory

extends java.lang.Object
implements javax.naming.spi.ObjectFactory

Object factory for EJBs.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Jacek Laskowski, Remy Maucherat

Field Summary
`protected static java.lang.String` | `DEFAULT_OPENEJB_FACTORY`

Constructor Summary
`OpenEjbFactory()`

Method Summary
`java.lang.Object` | `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)` Crete a new EJB instance using OpenEJB.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_OPENEJB_FACTORY

    protected static final java.lang.String DEFAULT_OPENEJB_FACTORY

See Also:
  Constant Field Values

Constructor Detail

### OpenEjbFactory

    public OpenEjbFactory()

Method Detail

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws java.lang.Exception

  Crete a new EJB instance using OpenEJB.

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
  Parameters:
    `obj` - The reference object describing the DataSource
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.